### Method

# FwupdPlugin IOChannel read_byte_array

since: 1.3.2

#### Declaration [src]

    GByteArray*
    fu_io_channel_read_byte_array (
      FuIOChannel* self,
      gssize count,
      guint timeout_ms,
      FuIoChannelFlags flags,
      GError** error
    )

#### Description [src]

Reads bytes from the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.3.2

#### Parameters

`count`

  Type: `gssize`

  Number of bytes to read, or -1 for no limit.

`timeout_ms`

  Type: `guint`

  Timeout in ms.

`flags`

  Type: `FuIoChannelFlags`

  Channel flags, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A `GByteArray` (which may be bigger than `count`), or `NULL` for error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.